# Laranode Panel Generated on 6 Nov 2025 from [the Laranode Panel catalog page](https://marketplace.digitalocean.com/apps/laranode-panel) Laranode is a modern, open-source hosting control panel built with Laravel & InertiaJS React, designed to simplify server and website management. It provides developers and sysadmins with intuitive tools to manage multiple domains/websites, PHP versions, SSL certificates with LetsEncrypt, firewall rules (ufw), and real-time server stats via Reverb WebSockets — all from a clean, responsive interface. ![](https://raw.githubusercontent.com/crivion/laranode/refs/heads/main/laranode-screenshots/1-dashboard-dark.png) Laranode serves as a powerful, free alternative to paid panels, offering full control and transparency over your hosting environment. Deploy it instantly on DigitalOcean to manage your VPS with elegance, speed, and freedom. ## Software Included | Package | Version | License | |---|---|---| | Apache | 2 | [Apache2](https://www.apache.org/licenses/LICENSE-2.0) | | [MySQL](https://www.mysql.com/products/community/) | 8 | | | [PHP](https://www.php.net/) | 8.4 | | ## Creating an App using the Control Panel Click the **Deploy to DigitalOcean** button to create a Droplet based on this 1-Click App. If you aren’t logged in, this link will prompt you to log in with your DigitalOcean account. [![Deploy to DO](https://www.deploytodo.com/do-btn-blue.svg)](https://cloud.digitalocean.com/droplets/new?onboarding_origin=marketplace&appId=205688005&image=crivion-laranodepanel&activation_redirect=%2Fdroplets%2Fnew%3FappId%3D205688005%26image%3Dcrivion-laranodepanel) ## Creating an App using the API In addition to creating a Droplet from the Laranode Panel 1-Click App using the control panel, you can also use the [DigitalOcean API](https://docs.digitalocean.com/reference/api). As an example, to create a 4GB Laranode Panel Droplet in the SFO2 region, you can use the following `curl` command. You need to either save your [API access token](https://docs.digitalocean.com/reference/api/create-personal-access-token/index.html.md) to an environment variable or substitute it in the command below. ```shell curl -X POST -H 'Content-Type: application/json' \ -H 'Authorization: Bearer '$TOKEN'' -d \ '{"name":"choose_a_name","region":"sfo2","size":"s-2vcpu-4gb","image":"crivion-laranodepanel"}' \ "https://api.digitalocean.com/v2/droplets" ``` ## Getting Started After Deploying Laranode Panel Use ssh root@your\_droplet\_public\_ipv4 then cd into laranode panel `cd /home/laranode_ln/panel/public` After than create an admin account `php artisan laranode:create-admin` Then you’re ready to visit http://your\_droplet\_public\_ipv4 and login with the account you just created